<script lang="ts">
  import { Button, Input, Label, Modal } from "@sveltestrap/sveltestrap";
  import { useLocalStorage } from "sveltronics";

  let hideOnLoad = useLocalStorage<boolean>("hide_kanban_help", false)
  export let open = !$hideOnLoad;
  export function toggle() {
    open = !open;
  }
</script>

<Modal isOpen={open} {toggle} size="lg">
  <div class="modal-content text-white">
    <div class="modal-header fs-4 font-weight-bold">How to use the Task Board</div>
    <div class="modal-body">
      The Task Board is a tool to help your team organize tasks within the competition. Each task on this board should
      represent something that needs to get done, and each task has a status associated with it:
      <ul>
        <li>Not Started</li>
        <li>In Progress</li>
        <li>Completed</li>
      </ul>

      This model of task management is commonly known as a
      <a target="_blank" href="https://www.atlassian.com/agile/kanban/boards">Kanban Board</a>.

      <p class="my-2">
        Create new tasks by pressing New Task button on either the Task Board or a CTF Challenge. Drag and drop tasks
        between columns to change their status, or click on them for more details. Tasks can be assigned to any team
        member. You can filter the Task Board to display only tasks assigned to you using the "Assigned to me" switch.
      </p>
      <p>
        Task descriptions and comments are formatted with
        <a href="https://commonmark.org/help/" target="_blank">Markdown</a>. To edit the title or description, open the
        task details and click on the title/description text itself or the edit button.
      </p>
    </div>
    <div class="modal-footer">
      <p class="text-muted">
        This popup will show every time the Task Board is opened. If you would like to prevent this, check the box
        below. The information here can always be accessed via the Help button on the Task Board.
      </p>

      <Input type="checkbox" class="d-inline-block clickable" id="hide-kanban-help" bind:checked={$hideOnLoad} />
      <Label for="hide-kanban-help" class="clickable">Don't show this again</Label>

      <div class="flex-grow-1" />

      <Button on:click={() => open = false} color="danger">Close</Button>
    </div>
  </div>
</Modal>
